### Constructor

# Gimp Gradient new

since: 2.2

#### Declaration [src]

    GimpGradient*
    gimp_gradient_new (
      const gchar* name
    )

#### Description [src]

Creates a new gradient

Creates a new gradient having no segments.

Available since: 2.2

#### Parameters

`name`

  Type: `const gchar*`

  The requested name of the new gradient.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpGradient`

The gradient.

The data is owned by the called function.